/**
 * Copyright (C) 2001-2005 France Telecom R&D
 */
package org.objectweb.medor.expression.api;

/**
 * Defines a printer of Expression. This printer permit to transform an 
 * expression to a human readable string. 
 *
 * @author S.Chassande-Barrioz
 */
public interface IExpressionPrinter {

    /**
     * Returns String representation of the Expression. If the printer is not 
     * able to obtain a string representation of the specified expression, the
     * printer MUST return null.
     */
    String expToString(Expression e);
}
